com.verisign.epp.serverstub

## Class JobsContactHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPContactHandler
  - - com.verisign.epp.serverstub.ContactHandler
    - - com.verisign.epp.serverstub.JobsContactHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class JobsContactHandler
      extends ContactHandler

  Extension to the standard `DomainHandler` that looks for the `EPPWhoisInf` command extension with the info command and adds the `EPPWhoisInfData` extension to the response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobsContactHandler()` Constructs an instance of WhoisDomainHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doContactCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Info command is received.
    `protected EPPEventResponse` | `doContactInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Info command is received.
    `protected EPPEventResponse` | `doContactUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Update command is received.

    - ### Methods inherited from class com.verisign.epp.serverstub.ContactHandler

      `doContactCheck, doContactDelete, doContactTransfer, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class com.verisign.epp.framework.EPPContactHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobsContactHandler

          public JobsContactHandler()

      Constructs an instance of WhoisDomainHandler

  - ### Method Detail

    - #### doContactCreate

          protected EPPEventResponse doContactCreate(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Invoked when a Domain Info command is received.
      Overrides:
        `doContactCreate` in class `ContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doContactInfo

          protected EPPEventResponse doContactInfo(EPPEvent aEvent,
                                                   java.lang.Object aData)

      Description copied from class: `ContactHandler`
      Invoked when a Contact Info command is received.
      Overrides:
        `doContactInfo` in class `ContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doContactUpdate

          protected EPPEventResponse doContactUpdate(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Description copied from class: `ContactHandler`
      Invoked when a Contact Update command is received.
      Overrides:
        `doContactUpdate` in class `ContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.